Logo-amall

Hello ! for some reason now when i try to visualise evidently ouputs from a skew detection step I get the following error: ```Exception: The filesystem scheme 's3://' is not available for use. For expanded filesystem scheme support, install the `tensorflow` package to enable additional filesystem plugins.``` I have tensorflow installed so not sure what I am supposed to do to make it work. (artifacts stored on minio s3, zenml version 0.20.4

Last active 13 days ago

22 replies

25 views

  • TH

    Hello ! for some reason now when i try to visualise evidently ouputs from a skew detection step I get the following error:
    Exception: The filesystem scheme 's3://' is not available for use. For expanded filesystem scheme support, install the `tensorflow` package to enable additional filesystem plugins.
    I have tensorflow installed so not sure what I am supposed to do to make it work. (artifacts stored on minio s3, zenml version 0.20.4

  • HA

    Can you give us more context how to reproduce this? What do you call?

  • TH

    ```from zenml.integrations.evidently.visualizers import EvidentlyVisualizer
    from zenml.postexecution import getpipeline

    lastrun = getpipeline("traincontinuousdeployment_pipeline").runs[-1]

    skewdetectionstep = lastrun.getstep(step="skewdetector") evidentlyoutputs = skewdetectionstep

    EvidentlyVisualizer().visualize(evidently_outputs)```

  • TH

    very simple code actually

  • HA

    Whats ur active stack when u do it

  • HA

    And can you a zenml integration list and show us the output

  • HA

    Ah i just noticed you are in 0.20.4

  • HA

    Honestly I would suggest to upgrade to 0.32.0 now, it might break other things but things are much improved

  • TH

    Yes

  • TH

    alright i can dig into that

  • TH

    will the integration requirements on library change ?

  • TH

    @hamza! done i have0.32 and the same prblem now

  • HA

    The same problem? Are you sure? The dependency referenced in the error was dropped in this version

  • TH

    Th error with the filesystem scheme 's3://'

  • TH

    ```thomas@rogstrix:~/workspace/mlopsseaanimalclassification$ ./scripts/runcontinousdeploymentpipeline.sh
    The withconfig(…) method is deprecated. Use pipeline.configure(…) or pipeline.run(configpath=…) instead.
    Running pipeline traincontinuousdeploymentpipeline on stack localstack (caching disabled)
    Step loaddata has started. Failed to run step loaddata.
    Pipeline run traincontinuousdeploymentpipeline-20230126-091120516188 failed.
    ╭─────────────────────────────── Traceback (most recent call last) ────────────────────────────────╮
    │ /home/thomas/workspace/mlopsseaanimalclassification/.venv/lib/python3.8/site-packages/aiohttp │ │ /clientreqrep.py:899 in start │
    │ │
    │ 896 │ │ │ │ # read response │
    │ 897 │ │ │ │ try: │
    │ 898 │ │ │ │ │ protocol = self.protocol │ │ ❱ 899 │ │ │ │ │ message, payload = await protocol.read() # type: ignore[union-attr] │ │ 900 │ │ │ │ except http.HttpProcessingError as exc: │ │ 901 │ │ │ │ │ raise ClientResponseError( │ │ 902 │ │ │ │ │ │ self.requestinfo, │
    │ │
    │ /home/thomas/workspace/mlopsseaanimalclassification/.venv/lib/python3.8/site-packages/aiohttp │ │ /streams.py:616 in read │ │ │ │ 613 │ │ │ assert not self.waiter │
    │ 614 │ │ │ self.waiter = self.loop.createfuture() │ │ 615 │ │ │ try: │ │ ❱ 616 │ │ │ │ await self.waiter │
    │ 617 │ │ │ except (asyncio.CancelledError, asyncio.TimeoutError): │
    │ 618 │ │ │ │ self.waiter = None │ │ 619 │ │ │ │ raise │ │ │ │ /home/thomas/workspace/mlopsseaanimalclassification/.venv/lib/python3.8/site-packages/aiohttp │
    │ /clientproto.py:213 in datareceived │
    │ │
    │ 210 │ │ │ else: │
    │ 211 │ │ │ │ # parse http messages │
    │ 212 │ │ │ │ try: │
    │ ❱ 213 │ │ │ │ │ messages, upgraded, tail = self.parser.feeddata(data) │
    │ 214 │ │ │ │ except BaseException as exc: │
    │ 215 │ │ │ │ │ if self.transport is not None: │
    │ 216 │ │ │ │ │ │ # connection.release() could be called BEFORE │
    │ │
    │ /home/thomas/workspace/mlopsseaanimalclassification/aiohttp/httpparser.pyx:551 in │ │ aiohttp.httpparser.HttpParser.feeddata │
    │ │
    │ [Errno 2] No such file or directory: │
    │ '/home/thomas/workspace/mlopsseaanimalclassification/aiohttp/http_parser.pyx' │
    ╰──────────────────────────────────────────────────────────────────────────────────────────────────╯
    BadHttpMessage: 400, message='Expected HTTP/'

    The above exception was the direct cause of the following exception:

    ╭─────────────────────────────── Traceback (most recent call last) ────────────────────────────────╮
    │ /home/thomas/workspace/mlopsseaanimal_classification/.venv/lib/python3.8/site-packages/aioboto │
    │ core/httpsession.py:208 in send │
    │ │
    │ 205 │ │ │ │ data = _IOBaseWrapper(data) │
    │ 206 │ │ │ │
    │ 207 │ │ │ url = URL(url, encoded=True) │
    │ ❱ 208 │ │ │ response = await self.session.request( │ │ 209 │ │ │ │ request.method, │ │ 210 │ │ │ │ url=url, │ │ 211 │ │ │ │ chunked=chunked, │ │ │ │ /home/thomas/workspace/mlopsseaanimalclassification/.venv/lib/python3.8/site-packages/aiohttp │
    │ /client.py:560 in request │ │ │ │ 557 │ │ │ │ │ │ try: │ │ 558 │ │ │ │ │ │ │ resp = await req.send(conn) │ │ 559 │ │ │ │ │ │ │ try: │ │ ❱ 560 │ │ │ │ │ │ │ │ await resp.start(conn) │ │ 561 │ │ │ │ │ │ │ except BaseException: │ │ 562 │ │ │ │ │ │ │ │ resp.close() │ │ 563 │ │ │ │ │ │ │ │ raise │ │ │ │ /home/thomas/workspace/mlopsseaanimalclassification/.venv/lib/python3.8/site-packages/aiohttp │
    │ /clientreqrep.py:901 in start │ │ │ │ 898 │ │ │ │ │ protocol = self.protocol │
    │ 899 │ │ │ │ │ message, payload = await protocol.read() # type: ignore[union-attr] │
    │ 900 │ │ │ │ except http.HttpProcessingError as exc: │
    │ ❱ 901 │ │ │ │ │ raise ClientResponseError( │
    │ 902 │ │ │ │ │ │ self.request_info, │
    │ 903 │ │ │ │ │ │ self.history, │
    │ 904 │ │ │ │ │ │ status=exc.code, │
    ╰──────────────────────────────────────────────────────────────────────────────────────────────────╯
    ClientResponseError: 400, message='Expected HTTP/',
    url=URL('')```

  • TH

    actually this one is quite new

  • HA

    I think this is some legacy stuff

  • HA

    i'd suggest to run zenml clean and just delete everything and start creating your stack agian from scratch (and remove all past pipeline runs). Obv only do this if you dont want to lose your data

  • TH

    This I already tried

  • HA

    with zenml clean ?

  • TH

    zenml clean -y and then zenml init

  • TH

    and then registering components and stack

Last active 13 days ago

22 replies

25 views